!!  AnalPower
!
!
!%

program AnalPower

  use sep
  use AnalPower_types
  use AnalPower_mod

  implicit none

  interface 
     subroutine param_AnalPower(AnalPower_par)
       use AnalPower_types
       type (AnalPower_param_type) AnalPower_par
     end subroutine param_AnalPower
  end interface
 

  type (AnalPower_param_type) AnalPower_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

!  if(adj) then
!    tag_mod=
!    tag_data=
!  else
!  end if

  call param_AnalPower(AnalPower_par)

  stat=AnalPower_init(AnalPower_par)
!      write(0,*)'after init status=',stat
  stat=AnalPower_oper(adj,add,AnalPower_par)
!      write(0,*)'after oper status=',stat

  stat=AnalPower_clean()

!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

  stop	

end program AnalPower
